VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "Report_rptPrintLinesClassSMD"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' Module     : Report_rptPrintLinesClassSMD
' Description:
' Procedures : Report_Activate()
'              Report_Close()
'              Report_Open(pintCancel As Integer)

' Modified   :
' 01/22/02 S Cleaned with Total Visual CodeTools 2000
'
' --------------------------------------------------
Option Compare Database
Option Explicit
' Stephen Lebans
' Copyright Lebans Holdings 1999 Ltd.
' Stephen@lebans.com
' www.lebans.com


' Declare an object of Type PrintLine Class
Dim mPl As clsPrintLinesV2
Private Const mcstrModule As String = "rptPrintlinesClassSMD"

Private Sub Report_Activate()
    ' Comments  :
    ' Parameters:  -
    ' Modified  :
    '
    ' --------------------------------------------------
    'TVCodeTools ErrorEnablerStart
    On Error GoTo Proc_Err
    'TVCodeTools ErrorEnablerEnd
    
    DoCmd.Maximize
    
    'TVCodeTools ErrorHandlerStart
Proc_Exit:
    Exit Sub
    
Proc_Err:
    Select Case Err.Number
        Case Else
            Select Case ErrorDisplay(Err.Number, Error$, mcstrModule, "Report_Activate", Erl())
                Case errContinue
                    Resume Next
                Case errexit
                    Resume Proc_Exit
            End Select
    End Select
    'TVCodeTools ErrorHandlerEnd
    
End Sub

Private Sub Report_Close()
    ' Comments  :
    ' Parameters:  -
    ' Modified  :
    '
    ' --------------------------------------------------
    ' Cleanup
    'TVCodeTools ErrorEnablerStart
    On Error GoTo Proc_Err
    'TVCodeTools ErrorEnablerEnd
    
    Set mPl = Nothing
    
    'TVCodeTools ErrorHandlerStart
Proc_Exit:
    Exit Sub
    
Proc_Err:
    Select Case Err.Number
        Case Else
            Select Case ErrorDisplay(Err.Number, Error$, mcstrModule, "Report_Close", Erl())
                Case errContinue
                    Resume Next
                Case errexit
                    Resume Proc_Exit
            End Select
    End Select
    'TVCodeTools ErrorHandlerEnd
    
End Sub

Private Sub Report_Open(pintCancel As Integer)
    ' Comments  :
    ' Parameters: pintCancel -
    ' Modified  :
    '
    ' --------------------------------------------------
    ' Create the instance of our Class
    'TVCodeTools ErrorEnablerStart
    On Error GoTo Proc_Err
    'TVCodeTools ErrorEnablerEnd
    
    Set mPl = New clsPrintLinesV2
    ' Init the Class
    With mPl
        .BorderDrawMode = 13
        .LineBorderWidthDefault = 12
        .InitSections Me
        ' For Demonstration purposes
        ' Turn on Borders and Vertical Lines
        ' for every Section on the Report.
        .ResetAll
        .SelectControlsMode = False
        ' Set a couple of props
    End With
    With mPl.plSection(acGroupLevel1Header)
        .VerticalLinesWidth = 10
        .VerticalLines = True
        .VerticalLinesColor = vbGreen
        .BorderColor = vbGreen
        .RightBorderPosition = Me.Text30.Left + Me.Text30.Width + 50
    End With
    With mPl.plSection(acGroupLevel1Footer)
        .VerticalLinesColor = vbMagenta
        .BorderColor = vbMagenta
    End With
    With mPl.plSection(acPageHeader)
        .VerticalLinesWidth = 14
        .VerticalLines = True
        .VerticalLinesColor = vbRed
        .Border = True
        .BorderColor = Me.lbltestmemo.BorderColor
        .BorderWidth = 20
        .LeftBorderPosition = Me.lblName.Left
        .RightBorderPosition = Me.lbltestmemo.Left + Me.lbltestmemo.Width
    End With
    With mPl.plSection(acPageFooter)
        .VerticalLines = True
        .VerticalLinesColor = vbYellow
        .Border = True
        .BorderColor = vbBlack
        .BorderWidth = 12
        
    End With
    With mPl.plSection(acFooter)
        .VerticalLines = True
        .VerticalLinesColor = vbBlue
        .Border = True
        .BorderColor = vbGreen
    End With
    
    'TVCodeTools ErrorHandlerStart
Proc_Exit:
    Exit Sub
    
Proc_Err:
    Select Case Err.Number
        Case Else
            Select Case ErrorDisplay(Err.Number, Error$, mcstrModule, "Report_Open", Erl())
                Case errContinue
                    Resume Next
                Case errexit
                    Resume Proc_Exit
            End Select
    End Select
    'TVCodeTools ErrorHandlerEnd
    
End Sub

