Attribute VB_Name = "basPrintLines"
' Module     : basPrintLines
' Description:
' Procedures : NewclsPrintLinesV2()

' Modified   :
' 01/25/02 S Cleaned with Total Visual CodeTools 2000
'
' --------------------------------------------------
Option Compare Database
Option Explicit

Const mcTWIPSPERINCH = 1440
Private Const mcstrModule As String = "basPrintLines"
Public Type PrtMipsTemp
    strMips As String * 28
End Type

' Printer MIPS Structure
Public Type PrinterMips
    lngLeft As Long
    lngTop As Long
    lngRight As Long
    lngBottom As Long
    lngDataOnly As Long
    lngWidth As Long
    lngHeight As Long
    lngDefaultSize As Long
    lngItemsAcross As Long
    lngColumnSpacing As Long
    lngRowSpacing As Long
    lngItemLayout As Long
    lngFastPrinting As Long
    lngDataSheet As Long
End Type

' These constants are not declared
' in the typelib. We'll make 'em up!
Public Const acGroupLevel3Header = 9
Public Const acGroupLevel3Footer = 10
Public Const acGroupLevel4Header = 11
Public Const acGroupLevel4Footer = 12
Public Const acGroupLevel5Header = 13
Public Const acGroupLevel5Footer = 14
Public Const acGroupLevel6Header = 15
Public Const acGroupLevel6Footer = 16
Public Const acGroupLevel7Header = 17
Public Const acGroupLevel7Footer = 18
Public Const acGroupLevel8Header = 19
Public Const acGroupLevel8Footer = 20
' Added an enum to make entry easier
' Commented on 01/28/02 by S
'Public Enum eplGroups
'    plDetail = 0
'    plReportHeader = 1
'    plReportFooter = 2
'    plPageHeader = 3
'    plPageFooter = 4
'    plGroupLevel1Header = 5
'    plGroupLevel1Footer = 6
'    plGroupLevel2Header = 7
'    plGroupLevel2Footer = 8
'    plGroupLevel3Header = 9
'    plGroupLevel3Footer = 10
'    plGroupLevel4Header = 11
'    plGroupLevel4Footer = 12
'    plGroupLevel5Header = 13
'    plGroupLevel5Footer = 14
'    plGroupLevel6Header = 15
'    plGroupLevel6Footer = 16
'    plGroupLevel7Header = 17
'    plGroupLevel7Footer = 18
'    plGroupLevel8Header = 19
'    plGroupLevel8Footer = 20
'End Enum

Public Function NewclsPrintLinesV2() As clsPrintLinesV2
    ' Comments  :
    ' Parameters:  -
    ' Returns   :  -
    ' Modified  :
    '
    ' --------------------------------------------------
    'TVCodeTools ErrorEnablerStart
    On Error GoTo Proc_Err
    'TVCodeTools ErrorEnablerEnd
    
    Dim curPL As clsPrintLinesV2
    Set curPL = New clsPrintLinesV2
    Set NewclsPrintLinesV2 = curPL
    Set curPL = Nothing
    
    'TVCodeTools ErrorHandlerStart
Proc_Exit:
    Exit Function
    
Proc_Err:
    Select Case Err.Number
        Case Else
            Select Case ErrorDisplay(Err.Number, Error$, mcstrModule, "NewclsPrintLinesV2", Erl())
                Case errContinue
                    Resume Next
                Case errexit
                    Resume Proc_Exit
            End Select
    End Select
    'TVCodeTools ErrorHandlerEnd
    
End Function

